# SPDX-FileCopyrightText: 2018-2021 Bruce Cowan <bruce@bcowan.me.uk>
#
# SPDX-License-Identifier: CC0-1.0

app-id: uk.me.bcowan.Rugby
runtime: org.gnome.Platform
runtime-version: "40"
sdk: org.gnome.Sdk
command: rugby

finish-args:
  - "--share=ipc"
  - "--device=dri"
  - "--socket=fallback-x11"
  - "--socket=wayland"

modules:
  - name: rugby
    buildsystem: meson
    builddir: true
    sources:
      - type: git
        url: https://git.fossgalaxy.com/SuborbitalPigeon/rugby.git
